Bug 820350 - Review Request: shellinabox - Web based AJAX terminal emulator
Summary: Review Request: shellinabox - Web based AJAX terminal emulator
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 619228 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-09 18:12 UTC by Simone Caronni
Modified: 2012-06-11 13:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-11 13:26:48 UTC
Type: ---
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Simone Caronni 2012-05-09 18:12:48 UTC
Spec URL: http://slaanesh.fedorapeople.org/shellinabox.spec
SRPM URL: http://slaanesh.fedorapeople.org/shellinabox-2.14-1.fc17.src.rpm
Description:
Shell In A Box implements a web server that can export arbitrary command line
tools to a web based terminal emulator. This emulator is accessible to any
JavaScript and CSS enabled web browser and does not require any additional
browser plugins.

************* Note:

This package is a new request for an already existing stuck request; as has been suggested I'm creating a new one as I ask to be the mantainer:

https://bugzilla.redhat.com/show_bug.cgi?id=619228

The package is brand new and not a rework of the previous one.

Comment 1 Simone Caronni 2012-05-09 18:28:33 UTC
Small changes to make sure it also builds on RHEL/CentOS 5 beside Fedora 15/16/17 and RHEL/CentOS 6.

Spec URL: http://slaanesh.fedorapeople.org/shellinabox.spec
SRPM URL: http://slaanesh.fedorapeople.org/shellinabox-2.14-2.fc17.src.rpm

Thanks,
--Simone

Comment 2 Jason Tibbitts 2012-05-09 19:24:14 UTC
*** Bug 619228 has been marked as a duplicate of this bug. ***

Comment 3 Peter Lemenkov 2012-05-29 11:08:07 UTC
I'll review this.

Comment 4 Peter Lemenkov 2012-05-29 12:00:08 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not completely silent:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/shellinabox-* ../SRPMS/shellinabox-2.14-2.fc18.src.rpm 
shellinabox.ppc: W: incoherent-version-in-changelog 2.14-1 ['2.14-2.fc18', '2.14-2']

^^^ please adjust your top-level %changelog section to match the package's actual EVR.

shellinabox.ppc: W: only-non-binary-in-usr-lib

^^^ bogus message.

shellinabox.src:19: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)

^^^ cosmetic / easyfix. Not a blocker (but I advise you to fix it anyway)

shellinabox.src: W: invalid-url Source0: http://shellinabox.googlecode.com/files/shellinabox-2.14.tar.gz HTTP Error 404: Not Found

^^^ bogus message.

3 packages and 0 specfiles checked; 0 errors, 4 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 only with OpenSSL linking exception, as stated in the sources).

- The file, containing the text of the license(s) for the package, MUST BE included in %doc. Please mark COPYING and GPL-2 as %doc

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum shellinabox-2.14.tar.gz*
4126eb7070869787c161102cc2781d24d1d50c8aef4e5a3e1b5446e65d691071  shellinabox-2.14.tar.gz
4126eb7070869787c161102cc2781d24d1d50c8aef4e5a3e1b5446e65d691071  shellinabox-2.14.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on my PowerPC box.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please, add licensing info and I'll finish reviewing it.

Comment 5 Simone Caronni 2012-05-29 12:31:02 UTC
Thanks,

added everything:

- Spec file changes (changelog, formatting).
- Added license files to doc section.

Spec URL: http://slaanesh.fedorapeople.org/shellinabox.spec
SRPM URL: http://slaanesh.fedorapeople.org/shellinabox-2.14-3.fc17.src.rpm

Comment 6 Peter Lemenkov 2012-05-29 12:46:27 UTC
(In reply to comment #5)
> Thanks,
> 
> added everything:
> 
> - Spec file changes (changelog, formatting).
> - Added license files to doc section.
> 
> Spec URL: http://slaanesh.fedorapeople.org/shellinabox.spec
> SRPM URL: http://slaanesh.fedorapeople.org/shellinabox-2.14-3.fc17.src.rpm

Good. I can't find any other issues so this package is


APPROVED.

Comment 7 Simone Caronni 2012-05-29 12:55:07 UTC
New Package SCM Request
=======================
Package Name: shellinabox
Short Description: Web based AJAX terminal emulator
Owners: slaanesh
Branches: f17 f16 f15 el6 el5
InitialCC:

Comment 8 Gwyn Ciesla 2012-05-29 13:29:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.